Vulnerability CVE-2020-29582


Published: 2021-02-03

Description:
In JetBrains Kotlin before 1.4.21, a vulnerable Java API was used for temporary file and folder creation. An attacker was able to read data from such files and list directories due to insecure permissions.

Type:

CWE-276

(Incorrect Default Permissions)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Jetbrains -> Kotlin 

 References:
https://blog.jetbrains.com
https://blog.jetbrains.com/blog/2021/02/03/jetbrains-security-bulletin-q4-2020/

Copyright 2021, cxsecurity.com

 

Back to Top